﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class Shooter : Enemy {

    [SerializeField] Bullet bullet;

    [SerializeField] AudioSource shootSound;

    protected override void SpecialAction()
    {
        if(currentTimer <= 0)
        {
            if (Physics2D.Raycast(new Vector2(transform.position.x,transform.position.y)+rb.velocity, rb.velocity).collider.tag != "Enemy")
            {
                shootSound.Play();
                Bullet b = Instantiate(bullet, transform.position + transform.right*0.6f, transform.rotation, transform);
                b.transform.Rotate(new Vector3(0, 0, 180));
                b.strength = 5;
                b.speed = 3f;
                b.mode = 1;
            }
            currentTimer = timerAttck;
        }
        currentTimer--;
    }
}
