﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using UnityEngine.UI;

public class GameOverPanel : MonoBehaviour {

    [SerializeField] Text text;
    public void Activate()
    {
        GetComponent<Image>().color = new Color(0.4f, 0, 0, 0);
        text.color = new Color(1, 1, 1, 0);
        gameObject.SetActive(true);
        StartCoroutine(Activtion());
    }

    IEnumerator Activtion()
    {
        yield return new WaitForSeconds(0.2f);
        for (float i = 0; i < 30; i += 1)
        {
            text.color = new Color(1, 1, 1, i/30);
            GetComponent<Image>().color = new Color(0.4f, 0, 0, i / 40);
            yield return new WaitForSeconds(0.002f);
        }
    }
}
