﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class Heart : Structure {

    [SerializeField] AudioSource hitSound;

    [SerializeField] SpriteRenderer red;
    float counter = 0;

    void Update()
    {
        if ((float)health/maxHealth <= 0.25f)
        {
            counter++;
            red.color = new Color(1, 1, 1, (Mathf.Cos(counter/10)+1)/2);
        }
    }

    public override void HitSpecialEffect()
    {
        hitSound.Play();
    }

    public override void Destroy()
    {
        if(GameObject.Find("Game Manager") != null)
            GameObject.Find("Game Manager").GetComponent<GameManager>().GameOver();
        Destroy(gameObject);
    }
}
