﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class Kamikaze : Enemy {

    // TODO : SPECIAL IA
    float axe = 0;

    void Start()
    {
        rb = GetComponent<Rigidbody2D>();
        axe = transform.position.y;
        random = Random.Range(2f, 9f);
    }

    protected override void Attack()
    {
        foreach (Structure str in structColide)
        {
            str.Damage(damage);
        }
        for(int i = structColide.Count -1 ; i >= 0; i--)
        {
            if (structColide[i] == null)
                structColide.RemoveAt(i);
        }

        Destroy();
    }

    protected override void Move()
    {
        rb.velocity = Vector2.right*speed + Vector2.up* Mathf.Cos(transform.position.x / 2);
    }
}
